<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/tools/SimpleMovingAverage.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d6f/_simple_moving_average_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">SimpleMovingAverage.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d6f/_simple_moving_average_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html">    1</a></span><span class="keyword">class </span>SimpleMovingAverage&lt;<a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> T&gt;</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a7d87afc3082e7d76f5cf781ccfdceead">    3</a></span>    <span class="keyword">private</span> T m_Sum                 = 0;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ab15882445968d0ba2b7e27ad76a2fa4f">    4</a></span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_Pointer           = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#addcb7f89cf83aa505146fc9a0e1ef7b0">    5</a></span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_Size              = 0;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a6bc4627e73c4f934187e08fa6a834a16">    6</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;T&gt;</a> m_Samples  = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;T&gt;</a>();</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage</a>(<span class="keywordtype">int</span> pSize, T pDefaultValue = 0)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_Size = pSize;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_Size; i++)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            m_Samples.Insert(pDefaultValue);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            m_Sum += m_Samples[i];</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a974ac61d73a9e158e357abb53bdfdc1c">   33</a></span>    T <a class="code hl_function" href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a974ac61d73a9e158e357abb53bdfdc1c">Add</a>(T newSample)</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_Sum = m_Sum - m_Samples[m_Pointer] + newSample;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        m_Samples[m_Pointer++] = newSample;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">if</span> (m_Pointer == m_Size)</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            m_Pointer = 0;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> m_Sum / m_Size;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>}</div>
<div class="ttc" id="aclass_simple_moving_average_3_01_class_01_t_01_4_html_a974ac61d73a9e158e357abb53bdfdc1c"><div class="ttname"><a href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#a974ac61d73a9e158e357abb53bdfdc1c">SimpleMovingAverage&lt; Class T &gt;::Add</a></div><div class="ttdeci">T Add(T newSample)</div><div class="ttdoc">Add new value and return average value from buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6f/_simple_moving_average_8c_source.html#l00033">SimpleMovingAverage.c:33</a></div></div>
<div class="ttc" id="aclass_simple_moving_average_3_01_class_01_t_01_4_html_ac3f4bc473e9efde37f1bdeb3b1f2fa05"><div class="ttname"><a href="../../d0/d9c/class_simple_moving_average_3_01_class_01_t_01_4.html#ac3f4bc473e9efde37f1bdeb3b1f2fa05">SimpleMovingAverage&lt; Class T &gt;::SimpleMovingAverage</a></div><div class="ttdeci">void SimpleMovingAverage(int pSize, T pDefaultValue=0)</div><div class="ttdoc">Initialize Simple Moving Average Cyclic Buffer.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6f/_simple_moving_average_8c_source.html#l00013">SimpleMovingAverage.c:13</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_907fa993cde0429e91bf5998789740ad.html">tools</a></li><li class="navelem"><a class="el" href="../../d6/d6f/_simple_moving_average_8c.html">SimpleMovingAverage.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
